import {restGet, restPost, restDelete, restPatch, restPostFile} from '../restConsumer.js'

export async function deleteArticle(id){
    await restDelete("/research/" + id)
}
export async function patchArticle(id, data){
    await restPatch("/research/" + id, data)
}
export async function uploadPdf(file){
    const formData = new FormData();
    formData.append("file", file[0]);

    return restPostFile("/upload/Research", formData);
}
export async function uploadBibTex(file){
    const formData = new FormData();
    formData.append("file", file[0]);

    return restPostFile("/upload/Research", formData);
}

export async function postResearch(data){
    return restPost("/research", data)
}

export async function fetchResearches(){
    return restGet("/researches")
}

export async function getFile(url){
    const restURL = import.meta.env.VITE_CLYDE_MODE === 'container' ? "http://localhost:8000": import.meta.env.DEV ? "http://localhost:5173" : "https://clyde.herisson.ovh/api"
    await fetch(restURL + "/"+url, {method: "GET"})
}
export async function addView(url){
    return restPost("/addview/" +url)
}
